<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class CheckForTrackingMaintenance
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
   public function handle(Request $request, Closure $next)
{
    // Cek setting maintenance (bisa dari file config, env, atau database)
    if (config('app.tracking_maintenance')) {
        // Tampilkan view 503 khusus tracking
        return response()->view('errors.503', [], 503);
    }
    return $next($request);
}
}
